%define bname automake
Name: e%bname
Version: 1.0
Release: alt1
Summary: Automake tool for Erlang
URL: http://www.process-one.net/en/blogs/article/erlang_automake_project/
License: EPL
Group: Development/Other
Source: http://www.process-one.net/downloads/contribs/%bname-%version.tar.bz2
BuildArch: noarch
Requires: erlang

# Automatically added by buildreq on Mon Jan 28 2008 (-bi)
BuildRequires: erlang-docbuilder-modules erlang-otp-modules symlinks

%description
This tool is designed to remove the burden of writing and maintaining
pure Erlang "Emakefile" build file manually.


%prep
%setup -n %bname


%build
erlc -o ebin -I include src/*.erl
cd doc
erl -noshell -run docb_gen users_guide "overview.edoc" -run docb_transform file "chapter.xml" -s init stop
rm -f chapter.xml
mv chapter.html overview.html


%install
install -d -m 0755 %buildroot{%_otplibdir/%bname-%version/{doc,ebin,include},%_docdir/%name-%version,%_bindir}
install -m 0644 ebin/*.beam %buildroot%_otplibdir/%bname-%version/ebin/
install -m 0644 include/* %buildroot%_otplibdir/%bname-%version/include/
install -m 0644 doc/*.{html,sample} %buildroot%_otplibdir/%bname-%version/doc/
install -m 0644 EPLICENCE README TODO %buildroot%_otplibdir/%bname-%version/
install -m 0755 bin/%name %buildroot%_bindir/
ln -sf %buildroot%_otplibdir/%bname-%version/{EPLICENCE,README,TODO,doc/*.{html,sample}} %buildroot%_docdir/%name-%version/
symlinks -csd %buildroot%_docdir/%name-%version
symlinks -csd %buildroot%_docdir/%name-%version


%files
%_bindir/*
%_otplibdir/%bname-%version
%_docdir/%name-%version


%changelog
* Mon Jan 28 2008 Led <led@altlinux.ru> 1.0-alt1
- initial build
